%define name tmda-cgi
%define version 0.10
%define release 1

%define pypath %(if [ `type -p python2` ]; then type -p python2; else type -p python; fi)
%define pyprefix %(%pypath -c 'import sys; print sys.prefix')
%define pyver %(%pypath -c 'import sys; print sys.version[:3]')
%define pylibdir %{pyprefix}/lib/python%{pyver}/site-packages
%define cgidir %{pylibdir}/TMDA/cgi
%define httpdconfdir %{_sysconfdir}/httpd/conf.d

Summary: Tagged Message Delivery Agent, CGI Interface
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://tmda.net/tmda-cgi/releases/%{name}-%{version}.tgz
Patch0: reporter.py.shbang.patch
Patch1: configure.patch
License: GPL
Group: Utilities/System
BuildRoot: %{_tmppath}/%{name}-buildroot
Vendor: Gre7g Luterman <gre7g@wolfhome.com>
Packager: tmda-workers@tmda.net
Url: http://tmda.net/tmda-cgi/
BuildRequires: /usr/bin/python2, tmda >= 0.78
Requires: /usr/bin/python2, tmda >= 0.78, apache

%description
TMDA is an OSI certified software application designed to
significantly reduce the amount of SPAM/UCE (junk-mail) you receive.
This subpackage is the CGI interface to TMDA.

%prep
%setup -q
#%patch0 -p1
#%patch1 -p1

%build
rm -rf %{buildroot}

# fix shbang line in all executable files
find . -type f -perm 0755 -print | while read i
do
  sed '1,1s|/usr/bin/env python|%pypath|g' $i > $i.tmp && mv $i.tmp $i && chmod 0755 $i
done

#%{pypath} configure                        \
#    --base-dir %{pylibdir}/TMDA            \
#    --display-dir ./display                \
#    --install-prefix %{pylibdir}/TMDA/cgi  \
#    --mode system-wide                     \
#    --remote-auth pop3://localhost         \
#    --session-prefix /tmp                  \
#    --user apache
%{pypath} configure                        \
    --base-dir %{pylibdir}                 \
    --display-dir ./display                \
    --mode system-wide                     \
    --virtual-lookup None                  \
    --remote-auth pop3://localhost         \
    --session-prefix /tmp/                 
cat tmda-cgi.h | sed -e 's@define INSTALL .*@define INSTALL   "/usr/lib/python2.2/site-packages/TMDA/cgi/"@' > tmda-cgi.h.new
mv tmda-cgi.h.new tmda-cgi.h
cat <<_END_ > Makefile
tmda-cgi: tmda-cgi.h
	cc -I . tmda-cgi.c -o tmda.cgi
_END_
make

%install
mkdir -p %{buildroot}/var/cache/tmda-cgi
mkdir -p %{buildroot}%{cgidir}/display
mkdir -p %{buildroot}%{httpdconfdir}
install *.{py,pyc} %{buildroot}%{cgidir}
install tmda.cgi %{buildroot}%{cgidir}
install defaults.ini %{buildroot}%{cgidir}
install THANKS %{buildroot}%{cgidir}
install TODO %{buildroot}%{cgidir}
cp -r display %{buildroot}%{cgidir}
cat tmda-cgi.conf | sed -e 's|SITE_DIR|%{cgidir}|' > %{buildroot}%{httpdconfdir}/tmda-cgi.conf

%clean
rm -rf %{buildroot}

%files
%{cgidir}/display/*
%defattr(0644,root,root)
%attr(0700,root,root) %dir /var/cache/tmda-cgi
%{cgidir}/*.py
%{cgidir}/THANKS
%{cgidir}/TODO
%config(noreplace) %{cgidir}/defaults.ini
%verify(not size md5 mtime) %{cgidir}/*.pyc
%attr(4755,root,root) %{cgidir}/tmda.cgi
%config(noreplace) %{httpdconfdir}/tmda-cgi.conf
%doc README THANKS TODO UPGRADE htdocs/*.html htdocs/display/* htdocs/display/dyn_buttons/*

%post
service httpd reload > /dev/null 2>&1 || :

%postun
service httpd reload > /dev/null 2>&1 || :

%changelog
* Fri Apr 25 2003 Bernard Johnson <bjohnson@symetrix.com>
  - initial RPM of tmda-cgi 0.06 (outside of previous RPMS packaged with TMDA)
